ru.bitel.bgbilling.modules.subscription.common.service

## Interface SubscriptionService

-     public interface SubscriptionService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `groupOperationActivateSubscription(int[] contractIds, int[] subscriptionTypeIds)`
    `int[]` | `groupOperationAddSubscription(int[] contractIds, int[] subscriptionTypeIds, Subscription subscription)`
    `int[]` | `groupOperationCloseSubscription(int[] contractIds, int[] subscriptionTypeIds, java.util.Date dateTo)`
    `void` | `subscriptionActivate(int subscriptionId)`
    `int` | `subscriptionDelete(int id)`
    `Subscription` | `subscriptionGet(int id)`
    `java.util.List<Subscription>` | `subscriptionList(int contractId, boolean loadRegistrationPeriod)`
    `java.util.List<RegistrationPeriod>` | `subscriptionRegistrationPeriodList(int subscriptionId)`
    `int` | `subscriptionTypeDelete(int id)`
    `SubscriptionType` | `subscriptionTypeGet(int id)`
    `java.util.List<SubscriptionType>` | `subscriptionTypeList()`
    `int` | `subscriptionTypeUpdate(SubscriptionType type)`
    `int` | `subscriptionUpdate(Subscription subscription)`

- - ### Method Detail

    - #### subscriptionActivate

          void subscriptionActivate(int subscriptionId)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionList

          java.util.List<Subscription> subscriptionList(int contractId,
                                                        boolean loadRegistrationPeriod)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionRegistrationPeriodList

          java.util.List<RegistrationPeriod> subscriptionRegistrationPeriodList(int subscriptionId)
                                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionGet

          Subscription subscriptionGet(int id)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionUpdate

          int subscriptionUpdate(Subscription subscription)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionDelete

          int subscriptionDelete(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionTypeList

          java.util.List<SubscriptionType> subscriptionTypeList()
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionTypeGet

          SubscriptionType subscriptionTypeGet(int id)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionTypeUpdate

          int subscriptionTypeUpdate(SubscriptionType type)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### subscriptionTypeDelete

          int subscriptionTypeDelete(int id)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### groupOperationAddSubscription

          int[] groupOperationAddSubscription(int[] contractIds,
                                              int[] subscriptionTypeIds,
                                              Subscription subscription)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### groupOperationCloseSubscription

          int[] groupOperationCloseSubscription(int[] contractIds,
                                                int[] subscriptionTypeIds,
                                                java.util.Date dateTo)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### groupOperationActivateSubscription

          int[] groupOperationActivateSubscription(int[] contractIds,
                                                   int[] subscriptionTypeIds)
                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`